Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface VM_TRUNCATABLE

    public interface VM_TRUNCATABLE

Defines the code used to represent a truncatable value type in a typecode. A value type is truncatable if it inherits "safely" from another value type, which means it can be cast to a more general inherited type. This is one of the possible results of the `type_modifier` method on the `TypeCode` interface.

See Also:
  `TypeCode`

Field Summary
`static short` | `value` The value representing a truncatable value type in a typecode.

Field Detail

### value

    static final short value

  The value representing a truncatable value type in a typecode.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.